org.apache.lucene.analysis.cn.smart

## Class SmartChineseSentenceTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.cn.smart.SmartChineseSentenceTokenizerFactory

    public class SmartChineseSentenceTokenizerFactory
    extends TokenizerFactory

Factory for the SmartChineseAnalyzer `SentenceTokenizer`

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`SmartChineseSentenceTokenizerFactory()`

### Method Summary

Methods
`Tokenizer` `create(Reader input)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

`availableTokenizers, forName, lookupClass, reloadTokenizers`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmartChineseSentenceTokenizerFactory

    public SmartChineseSentenceTokenizerFactory()

### Method Detail

#### create

    public Tokenizer create(Reader input)

Specified by:
  `create` in class `TokenizerFactory`